%%% Some TESTED DATA
%%% All proteins and their secondary structure information are
%%% picked from the Protein Data Bank. Their ID is the same used
%%% by PDB. NOTE: ssbonds must be put first in the lists! 
%%% Last modification: 030430
 

protein(ID, Primary, Secondary):-
%% length: 12
     ID = '1LE0',
     Primary = [s,w,t,w,e,g,n,k,w,t,w,k] ,
     Secondary = [ strand(2,4), strand(9,11) ].

protein(ID, Primary, Secondary):-
%% length: 12
        ID = '1KVG',
        Primary = [s,c,h,f,g,p,l,g,w,v,c,k],
        Secondary = [ ssbond(2,11),
                      strand(3,4), strand(9,11)].

protein(ID, Primary, Secondary):-
%%% Note: cut an "x" in the last position.
%% length: 16
         ID = '1LE3',   
       Primary = [g,e,w,t,w,d,d,a,t,k,
                    t,w,t,w,t,e], 
       Secondary = [strand(2,6), strand(11,15)]. 

protein(ID, Primary, Secondary):-
%%% Note: cut an "x" in the last position.
%% length: 18
        ID = '1PG1',
       Primary = [r,g,g,r,l,c,y,c,r,r,
                   r,f,c,v,c,v,g,r], 
      Secondary = [ssbond(6,15), ssbond(8,13),
                     strand(4,9), strand(12,17) ].
        
protein(ID, Primary, Secondary):-
%%% length: 17
        ID = '1EDP',
         Primary = [c,s,c,s,s,l,m,d,k,e,
                    c,v,y,f,c,h,l],
         Secondary = [ssbond(1,15), ssbond(3,11),
                      helix(9,15) ].
        
protein(ID, Primary, Secondary):-
%%% Note: cut an "x" in the last position.
%%% length: 34  ---
        ID = '1ZDD',
       Primary = [f,n,m,q,c,q,r,r,f,y,
                  e,a,l,h,d,p,n,l,n,e,
                  e,q,r,n,a,k,i,k,s,i,
                  r,d,d,c],
        Secondary = [
             ssbond(5, 34),
                      helix(3,13),helix(20,33)].

protein(ID, Primary, Secondary):-
%%% length: 36
       ID = '1VII',
        Primary = [m,l,s,d,e,d,f,k,a,v, 
                   f,g,m,t,r,s,a,f,a,n, 
                      l,p,l,w,k,q,q,n,l,k, 
                      k,e,k,g,l,f],
       Secondary = [helix(4,8),helix(15,18),helix(23,32)].

protein(ID, Primary, Secondary):-
%%% length: 36
       ID = '1VIIgoriv',
        Primary = [m,l,s,d,e,d,f,k,a,v, 
                   f,g,m,t,r,s,a,f,a,n, 
                      l,p,l,w,k,q,q,n,l,k, 
                      k,e,k,g,l,f],
       Secondary = [ %%% BY GORIV
       helix(8,17),
       helix(21,30),
       strand(34,35)].

protein(ID, Primary, Secondary):-
%%% length: 37
        ID = '1E0M',
         Primary = [s,m,g,l,p,p,g,w,d,e, 
                    y,k,t,h,n,g,k,t,y,y, 
                        y,n,h,n,t,k,t,s,t,w, 
                        t,d,p,r,m,s,s],
         Secondary = [strand(8,12),strand(18,22),strand(27,29)].

        
protein(ID, Primary, Secondary):-
%%% length: 40
        ID = '2GP8',
       Primary = [i,t,g,d,v,s,a,a,n,k, 
                    d,a,i,r,k,q,m,d,a,a, 
                        a,s,k,g,d,v,e,t,y,r, 
                        k,l,k,a,k,l,k,g,i,r],
        Secondary = [helix(6,21),helix(26,38)].     

protein(ID, Primary, Secondary):-
%% length: 46
     ID = '1ED0',
     Primary = [k,s,c,c,p,n,t,t,g,r,
                 n,i,y,n,a,c,r,l,t,g,
                     a,p,r,p,t,c,a,k,l,s,
                     g,c,k,i,i,s,g,s,t,c,
                     p,s,d,y,p,k],
     Secondary = [ssbond(3,40),ssbond(4,32),ssbond(16,26),
                   helix(7,18),helix(23,30),
                   strand(3,4),strand(33,34)].

protein(ID, Primary, Secondary):-
%% length: 54
     ID = '1ENH',
     Primary = [r,p,r,t,a,f,s,s,e,q,
                 l,a,r,l,k,r,e,f,n,e,
                     n,r,y,l,t,e,r,r,r,q,
                     q,l,s,s,e,l,g,l,n,e,
                     a,q,i,k,i,w,f,q,n,k,
                     r,a,k,i],
     Secondary = [helix(8,20),helix(26,36),helix(40,52),
                   strand(22,23)].
protein(ID, Primary, Secondary):-
%% length: 54
     ID = '1ENHweak',
     Primary = [ r,p,r,t,a,f,s,s,e,q,
                 l,a,r,l,k,r,e,f,n,e,
                 n,r,y,l,t,e,r,r,r,q,
                 q,l,s,s,e,l,g,l,n,e,
                 a,q,i,k,i,w,f,q,n,k,
                 r,a,k,i ],
     Secondary = [helix(8,18),helix(28,36),helix(40,52)].
       
protein(ID, Primary, Secondary):-
%%% length = 58
      ID = '6PTI',
      Primary = [r,p,d,f,c,l,e,p,p,y, 
                 t,g,p,c,k,a,r,i,i,r, 
                     y,f,y,n,a,k,a,g,l,c, 
                     q,t,f,v,y,g,g,c,r,a, 
                     k,r,n,n,f,k,s,a,e,d, 
                     c,m,r,t,c,g,g,a],
      Secondary = [ssbond(5,55),ssbond(14,38),
                        ssbond(30,51),
                        helix(3,6), 
                        helix(48,55),
                        strand(18,24), 
                        strand(29,35)].

protein(ID, Primary, Secondary):-
%%% length = 60
  ID = '2IGD',
  Primary = [m,t,p,a,v,t,t,y,k,l,
             v,i,n,g,k,t,l,k,g,e,
             t,t,t,k,a,v,d,a,e,t,
             a,e,k,a,f,k,q,y,a,n,
             d,n,g,v,d,g,v,w,t,y,
             d,d,a,t,k,t,f,t,v,t],
  Secondary = [ helix(28,41), strand(18,25), strand(6,13), 
                strand(56,59), %%% barato: messo 59 anziche' 60
                strand(47,51)].

protein(ID, Primary, Secondary):-
%%% length = 61
  ID = '2ERA',
  Primary = [r,i,c,f,n,h,q,g,s,q,
             p,q,t,t,k,t,c,s,p,g,
             e,s,s,c,y,n,k,q,w,s,
             d,f,r,g,t,i,i,e,r,g,
             c,g,c,p,t,v,k,p,g,i,
             k,l,s,c,c,e,s,e,v,c,
             n],
  Secondary = [ strand(2,5), strand(13,17), strand(34,41), 
                strand(23,31), strand(50,55)].


protein(ID, Primary, Secondary):-
%%% length = 63
  ID = '1SN1',
  Primary = [v,r,d,a,y,i,a,k,p,h,
             n,c,v,y,e,c,a,r,n,e,
             y,c,n,d,l,c,t,k,n,g,
             a,k,s,g,y,c,q,w,v,g,
             k,y,g,n,g,c,w,c,i,e,
             l,p,d,n,v,p,i,r,v,p,
             g,k,c],
  Secondary = [ ssbond(12,63), ssbond(16,36), ssbond(22,46), ssbond(26,48), 
                helix(19,28), strand(2,5), strand(33,39), strand(43,51)].

protein(ID, Primary, Secondary):-
%%% length = 63
  ID = '1YPA',
  Primary = [m,k,t,e,w,p,e,l,v,g,
             k,a,v,a,a,a,k,k,v,i,
             l,q,d,k,p,e,a,q,i,i,
             v,l,p,v,g,t,i,v,t,m,
             e,y,r,i,d,r,v,r,l,f,
             v,d,k,l,d,n,i,a,q,v,
             p,r,v],
  Secondary = [ helix(31,43), strand(24,25), 
                strand(26,27), strand(28,29)].
       
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
