%%% Some TESTED DATA
%%% All proteins and their secondary structure information are
%%% picked from the Protein Data Bank. Their ID is the same used
%%% by PDB. NOTE: ssbonds must be put first in the lists! 
%%% Last modification: 030430
 

protein(ID, Primary, Secondary):-
%% length: 12
     ID = '1LE0',
     Primary = [s,w,t,w,e,g,n,k,w,t,w,k] ,
     Secondary = [ strand(2,4), strand(9,11) ].

protein(ID, Primary, Secondary):-
%% length: 12
		ID = '1KVG',
		Primary = [s,c,h,f,g,p,l,g,w,v,c,k],
		Secondary = [ ssbond(2,11),
		              strand(3,4), strand(9,11)].

protein(ID, Primary, Secondary):-
%%% Note: cut an "x" in the last position.
%% length: 16
		 ID = '1LE3',   
       Primary = [g,e,w,t,w,d,d,a,t,k,
		            t,w,t,w,t,e], 
       Secondary = [strand(2,6), strand(11,15)]. 

protein(ID, Primary, Secondary):-
%%% Note: cut an "x" in the last position.
%% length: 18
		ID = '1PG1',
 	   Primary = [r,g,g,r,l,c,y,c,r,r,
		           r,f,c,v,c,v,g,r], 
      Secondary = [ssbond(6,15), ssbond(8,13),
		             strand(4,9), strand(12,17) ].
	    
protein(ID, Primary, Secondary):-
%%% length: 17
	    ID = '1EDP',
		 Primary = [c,s,c,s,s,l,m,d,k,e,
		            c,v,y,f,c,h,l],
		 Secondary = [ssbond(1,15), ssbond(3,11),
		              helix(9,15) ].
	    
protein(ID, Primary, Secondary):-
%%% Note: cut an "x" in the last position.
%%% length: 34  ---
	    ID = '1ZDD',
       Primary = [f,n,m,q,c,q,r,r,f,y,
                  e,a,l,h,d,p,n,l,n,e,
                  e,q,r,n,a,k,i,k,s,i,
                  r,d,d,c],
  	    Secondary = [
			 ssbond(5, 34),
		              helix(3,13),helix(20,33)].

protein(ID, Primary, Secondary):-
%%% length: 36
	   ID = '1VII',
		Primary = [m,l,s,d,e,d,f,k,a,v, 
		           f,g,m,t,r,s,a,f,a,n, 
					  l,p,l,w,k,q,q,n,l,k, 
					  k,e,k,g,l,f],
 	   Secondary = [helix(4,8),helix(15,18),helix(23,32)].

protein(ID, Primary, Secondary):-
%%% length: 37
	    ID = '1E0M',
		 Primary = [s,m,g,l,p,p,g,w,d,e, 
		            y,k,t,h,n,g,k,t,y,y, 
						y,n,h,n,t,k,t,s,t,w, 
						t,d,p,r,m,s,s],
 		 Secondary = [strand(8,12),strand(18,22),strand(27,29)].

	    
protein(ID, Primary, Secondary):-
%%% length: 40
	    ID = '2GP8',
       Primary = [i,t,g,d,v,s,a,a,n,k, 
		            d,a,i,r,k,q,m,d,a,a, 
						a,s,k,g,d,v,e,t,y,r, 
						k,l,k,a,k,l,k,g,i,r],
  	    Secondary = [helix(6,21),helix(26,38)].	    

protein(ID, Primary, Secondary):-
%% length: 46
     ID = '1ED0',
     Primary = [k,s,c,c,p,n,t,t,g,t,
	             n,i,y,n,a,c,r,l,y,g,
					 a,p,r,p,t,c,a,k,l,s,
					 g,c,k,i,i,s,g,s,t,c,
					 p,s,d,y,p,k],
     Secondary = [ssbond(3,40),ssbond(4,32),ssbond(16,26),
	               helix(7,18),helix(23,30),
	               strand(3,4),strand(33,34)].

protein(ID, Primary, Secondary):-
%% length: 54
     ID = '1ENH',
     Primary = [r,p,r,t,a,f,s,s,e,q,
	             l,a,r,l,k,r,e,f,n,e,
					 n,r,y,l,t,e,r,r,r,q,
					 q,l,s,s,e,l,g,l,n,e,
					 a,q,i,k,i,w,f,q,n,k,
					 r,a,k,i],
     Secondary = [helix(8,20),helix(26,36),helix(40,52),
	               strand(22,23)].
 	   
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

